//
//  Controls.mm
//  oh_hw2
//
//  Created by Jieun Oh on 2/1/10.
//  Copyright 2010 Stanford University. All rights reserved.
//

#import "Controls.h"

Controls * Controls::ourInstance = NULL;
Controls * Controls::instance()
{
	if( ourInstance == NULL ) ourInstance = new Controls();
    return ourInstance;
}

Controls::Controls():
	mGravity(0.05),
	mDamping(0.3),
	mBall(0.1),
	mElasticity(0.00),
	mClear(true),
	mClearTouches(false),
	mClearBalls(false)
{
}

Controls::~Controls()
{
}

void Controls::setGravity( float g)
{
	NSLog(@"setting gravity to be %f", g);
	mGravity = g;
}

void Controls::setDamping( float d)
{
	NSLog(@"setting damping to be %f", d);
	mDamping = d;
}

void Controls::setBall( float b)
{
	NSLog(@"setting ball to be %f", b);
	mBall = b; 
}

void Controls::setElasticity ( float e)
{
	NSLog(@"setting elasticity to be %f", e);
	mElasticity = e; 
}

void Controls::setClear( bool c)
{
	NSLog(@"setting clear to be %d", c);
	mClear = c;
}


void Controls::setClearTouches(bool ct)
{
	mClearTouches = ct; 
}

void Controls::setClearBalls(bool cb)
{
	mClearBalls = cb; 
}
 

float Controls::getGravity()
{
	return mGravity;
}

float Controls::getDamping()
{
	return mDamping;
}

float Controls::getElasticity()
{
	return mElasticity;
}

float Controls::getBall()
{
	return mBall;
}

bool Controls::getClear()
{
	return mClear;
}


bool Controls::getClearTouches()
{
	return mClearTouches;
}

bool Controls::getClearBalls()
{
	return mClearBalls;
}




